#pragma once

#ifdef _WIN64
	#pragma comment(lib, "virbox64.lib")
#else
	#pragma comment(lib, "virbox32.lib")
#endif

#ifdef __cplusplus
extern "C" {
#endif

    // protection
    __declspec(dllimport) int __stdcall VBProtectBegin(const char *tag);
    __declspec(dllimport) int __stdcall VBVirtualizeBegin(const char *tag);
    __declspec(dllimport) int __stdcall VBMutateBegin(const char *tag);
    __declspec(dllimport) void __stdcall VBProtectEnd(void);
	__declspec(dllimport) void *__stdcall VBProtectDecrypt(void *dst, const void *src, int size);

#ifdef __cplusplus
}
#endif
